# Disable stripping or sfxs will get trashed
%global __strip /bin/true
# Don't create a debuginfo package since it would be empty
%global debug_package %{nil}
# only named provides
%global __find_provides %{nil}
%global _sysconfdirlocal %{_prefix}/local%{_sysconfdir}
%global _use_internal_dependency_generator 0
%global rarurl http://www.rarlabs.com/rar/

Summary: Archiver to create and manage RAR archives
Name: rar
Version: 3.8.0
Release: 3%{?dist}
License: Shareware
Group: Applications/Archiving
URL: http://www.rarlabs.com/
Source0: http://www.rarlabs.com/%{name}/%{name}linux-%{version}.tar.gz
Source1: http://www.rarlabs.com/%{name}/%{name}linux-x64-%{version}.tar.gz
#Source2: http://www.rarlabs.com/%{name}/%{name}bsd-%{version}.tar.gz
#Source3: http://www.rarlabs.com/%{name}/%{name}osx-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides: %{name}_static = %{version}-%{release}
Provides: %{name}-shareware = %{version}-%{release}
Provides: un%{name} = %{version}-%{release}
%if 0%{?fedora} >= 11
ExclusiveArch: i586 x86_64
%else
ExclusiveArch: i386 x86_64
%endif

%description
RAR is a powerful tool allowing you to manage and control archive files.
Console RAR supports archives only in RAR format, which names usually have
a ".rar" extension. ZIP and other formats are not supported.



%prep
if [ -e %{SOURCE0} ] ; then
%setup -q -c
else
  wget -N %{url}$(basename %{SOURCE0})
fi
mv rar rar-x86_32
%ifarch x86_64
if [ -e %{SOURCE1} ] ; then
%setup -q -c -D -T -a 1
else
  wget -N %{url}$(basename %{SOURCE1})
fi
mv rar rar-x86_64
%endif
%if 0
if [ -e %{SOURCE2} ] ; then
%setup -q -c -D -T -a 2
else
  wget -N %{url}$(basename %{SOURCE2})
fi
mv rar rar-bsd
if [ -e %{SOURCE3} ] ; then
%setup -q -c -D -T -a 3
else
  wget -N %{url}$(basename %{SOURCE3})
fi
mv rar rar-osx
%endif

# Filter out sfxs
%{__cat} > rar-find_requires.sh <<EOF
#!/bin/sh
%{__grep} -v "%{_libdir}/.*\.sfx" | %{__find_requires}
exit 0
EOF
%{__chmod} 0755 rar-find_*
%global __find_requires %{_builddir}/%{name}-%{version}/%{name}-find_requires.sh

#default
%{__ln_s} rar-%{__isa_name}_%{__isa_bits} rar

%build
#Nothing to build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__install} -d -pm 0755 %{buildroot}%{_bindir}
%{__install} -pm 0755 rar/%{name} %{buildroot}%{_bindir}
%{__install} -pm 0755 rar/%{name}_static %{buildroot}%{_bindir}
%{__install} -pm 0755 rar/un%{name} %{buildroot}%{_bindir}
%{__install} -d -pm 0755 %{buildroot}%{_sysconfdir}
%{__install} -pm 0644 rar/%{name}files.lst %{buildroot}%{_sysconfdir}
%{__install} -d -pm 0755 %{buildroot}%{_sysconfdirlocal}
%{__install} -pm 0755 rar/default.sfx %{buildroot}%{_sysconfdirlocal}/default.sfx

#Various sfx
%ifarch x86_64
%{__install} -pm 0755 rar-x86_32/default.sfx \
  %{buildroot}%{_sysconfdirlocal}/linux-x86.sfx
%endif
%if 0
%{__install} -pm 0755 rar-bsd/default.sfx \
  %{buildroot}%{_sysconfdirlocal}/bsd-x86.sfx
%{__install} -pm 0755 rar-osx/default.sfx \
  %{buildroot}%{_sysconfdirlocal}/osx-x86.sfx
%endif

# handle alternatives
%{__mv} %{buildroot}%{_bindir}/un%{name} %{buildroot}%{_bindir}/un%{name}-shareware
touch %{buildroot}%{_bindir}/un%{name}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
%{_sbindir}/alternatives \
	--install %{_bindir}/%{name} %{name} %{_bindir}/rar-shareware 90 || :
%{_sbindir}/alternatives \
	--install %{_bindir}/un%{name} un%{name} %{_bindir}/unrar-shareware 90 || :

%preun
if [ "$1" -eq 0 ]; then
	%{_sbindir}/alternatives \
		--remove un%{name} %{_bindir}/un%{name}-shareware
	%{_sbindir}/alternatives \
		--remove %{name} %{_bindir}/%{name}-shareware
fi || :

%files
%defattr(-, root, root, 0755)
%doc rar/*.txt rar/file_id.diz rar/*.htm
%config(noreplace) %{_sysconfdir}/%{name}files.lst
%{_bindir}/%{name}
%{_bindir}/%{name}_static
#Own the alternative
%ghost %{_bindir}/un%{name}
%{_bindir}/un%{name}-shareware
%{_sysconfdirlocal}/*.sfx
#{_mandir}/man1/%{name}.1*

%changelog
* Wed Jul  1 2009 kwizart < kwizart at gmail.com > - 3.8.0-3
- Own the alternative using %%ghost.
- UseExclusiveArch
- Improve arches conditionals.
* Sun Dec 14 2008 Luboš Staněk <lubek@lubek.name> 3.8.0-2
- fix alternatives
- distribute the static build
- add current manpage (we do not want to distribute debian's ancient junk)
* Wed Oct 01 2008 Luboš Staněk <lubek@lubek.name> 3.8.0-1
- update
- add sfxs
- unrar alternative to alternate to open source unrar
* Fri Aug 01 2008 Luboš Staněk <lubek@lubek.name> 3.7.1-1
- update
* Tue Mar 20 2008 Luboš Staněk <lubek@lubek.name> 3.7.0-1
- rebuilt
* Mon Sep 03 2007 Luboš Staněk <lubek@lubek.name> 3.7.0-1
- update

* Wed Apr 18 2007 Luboš Staněk <lubek@lubek.name> 3.7.0-0.1.beta1
- build

* Wed Mar  7 2007 Matthias Saou <http://freshrpms.net/> 3.7.0-0.1.beta1
- Update to 3.7.0 beta1 (aka 3.7.b1).
- Disable (empty) debuginfo package.
- Add empty %%build section.
- Fix macros inside the %%changelog.

* Tue Sep 12 2006 Luboš Staněk <lubek@users.sourceforge.net> - 3.6.0-1
- FC5 + version update.

* Fri Apr 28 2006 Dag Wieers <dag@wieers.com> - 3.6.0-0.2.beta2
- Added _with_static_rar for older distributions (<= FC1).

* Wed Apr 19 2006 Matthias Saou <http://freshrpms.net/> 3.6.0-0.1.beta2
- Update to 3.6.0 beta2 (aka 3.6.b2).
- Put exclusive arch back, not removed on purpose.

* Fri Oct 14 2005 Matthias Saou <http://freshrpms.net/> 3.5.1-1
- Update to 3.5.1 (aka 3.51).

* Thu Sep 01 2005 Luboš Staněk <stanekl@atlas.cz> - 3.5.0-2
- spec update.

* Mon Aug 22 2005 Luboš Staněk <stanekl@atlas.cz> - 3.5.0-1
- Update.

* Sun Jun  5 2005 Matthias Saou <http://freshrpms.net/> 3.5-0.b1
- Update to 3.5.b1.

* Fri Mar 11 2005 Luboš Staněk <stanekl@atlas.cz> - 3.4.1-1
- en man pages for rar, unrar, default.sfx
- sfx modules: bsd.sfx, dos.sfx, osx.sfx, wincon.sfx, wingui.sfx

* Wed Nov  3 2004 Matthias Saou <http://freshrpms.net/> 3.4.1-1
- Update to 3.4.1.

* Wed May 19 2004 Matthias Saou <http://freshrpms.net/> 3.3.0-2
- Updated description.
- Fixed the rarfiles.lst installation.
- Rebuild for Fedora Core 2.

* Thu Feb 26 2004 Matthias Saou <http://freshrpms.net/> 3.3.0-1
- Update to 3.3.0.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 3.2.0-3
- Rebuild for Fedora Core 1.

* Mon Nov  3 2003 Matthias Saou <http://freshrpms.net/> 3.2.0-2.fr
- Disable stripping to not trash the default.sfx file.
- Add back rarfiles.lst, as it does work, thanks to Ondrej Svejda.

* Thu Oct 30 2003 Matthias Saou <http://freshrpms.net/> 3.2.0-1.fr
- Update to latest version.
- Spec file cleanup.
- Remove the internal dep check to avoid "corrupted program header size" msg.

* Sun Mar 18 2001 Matthias Saou <http://freshrpms.net/>
- Fix the %%files with a %%dir (cleaner uninstall)
- Spec file cleanup

* Sun Mar 18 2001 Alexander Skwar <ASkwar@Linux-pmandrake.com> 2.80-1
- New non-beta release

* Mon Feb 26 2001 Alexander Skwar <ASkwar@Linux-pmandrake.com> 2.80b5-1
- New release, see http://www.rarsoft.com/rar/WhatsNew.txt for
  list of fixed bugs

* Sun Jan 28 2001 Alexander Skwar <ASkwar@Linux-pmandrake.com> 2.80b4-1
- Nothing exciting, besides the latest beta

* Thu Jan  4 2001 Alexander Skwar <ASkwar@Linux-pmandrake.com> 2.80b2-1
- Another new version

* Sat Sep 15 2000 01:00:35 Alexander Skwar <ASkwar@DigitalProjects.com> 2.71-1
- New version
